Skip to main content
PATCH
/
v2
/
{target}
/
{identifier}
/
attributes
/
{attribute}
/
statuses
/
{status}
Update a status
curl --request PATCH \
  --url https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}/statuses/{status} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "title": "In Progress",
    "celebration_enabled": true,
    "target_time_in_status": "P0Y0M1DT0H0M0S",
    "is_archived": false
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
      "status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
    },
    "title": "In Progress",
    "is_archived": false,
    "celebration_enabled": false,
    "target_time_in_status": "P0Y0M1DT0H0M0S"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

target
enum<string>
required

Whether the attribute is on an object or a list. Please note that company and person objects do not support status attributes at this time.

Available options:
lists,
objects
Example:

"lists"

identifier
string
required

A UUID or slug to identify the object or list the status attribute belongs to.

Example:

"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"

attribute
string
required

A UUID or slug to identify the attribute to update the status on.

Example:

"41252299-f8c7-4b5e-99c9-4ff8321d2f96"

status
string
required

A UUID or status title to identify the status to update.

Example:

"In Progress"

Body

application/json
data
object
required

Response

Success

Success

data
object
required